/*\t*******************************************************************
   Creation Date .......  Tue  06-07-1994  13:28:02
   Filename  ...........  pendos.cpp
   Project .............  Util
   Author  .............  Matthew J. W. Ratcliff
   Language  ...........  C++
   Operating System  ...  PORTABLE
   Prefix ..............  PEA - Pentium Math Coprocessor error checker
   Function:

 **\t******************************************************************/

/*\r********************** Revision History ****************************
   Date    By           Change Description
dd-mmm-yy  nnn          text
---------  ----         -----------------------------------------------
07-Jun-94  MJWR         MS-DOS version of fortune cookie to test
                        capabilities of FIUlocateFile function.
**\r*/

/*\i******************** System Include Files *************************/
#include <math.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

/********************** Constant Include Files ************************/
/***************** External Variable Include Files ********************/

/***************** External Procedure Include Files *******************/
#include "pentium.h"
/*\i*/

/*\m********************** Module Constants ***************************/

/************************* Module Variables ***************************/

/************************* Module Procedures **************************/

/*\m*/
/*\p********************************************************************
**                                                                    **
    NAME:  main

    PURPOSE:  diagnose floating point problem of the pentium

**                                                                    **
** By Matthew J. W. Ratcliff                                          **
**\p*******************************************************************/

void main(void)
{
/*********** Local Constant & Variable Declarations *******************/
double result;
/************************* Procedure Body *****************************/
printf("The Peter Coffee Pentium Flaw Test\n");
printf("DOS/Windows program by Matthew J. W. Ratcliff\n");
printf(" (%6.lf / %6.lf) * %6.lf - %6.lf = ?\n",
         NUMER, DENER, DENER, NUMER );

result = calcPentium();
if (result != 0.0)
  printf("Error: %lf result is NOT ZERO. Flawed floating point\n",result);
else
  printf("*OK*: %lf result IS ZERO, this is NOT flawed floating point\n",result);

} /* main end */

